# @summary Install a database migration tool used by CFSSL
#
# Install a database migration tool used by CFSSL
#
# @example
#   include cfssl::goose
#
# @api private
#
class cfssl::goose {
  assert_private()
  # stuffs for goose : a database migration tool used by CFSSL
  package { $cfssl::params::go_package:
    ensure => present,
  }
  -> file { '/usr/local/bin/go':
    ensure => link,
    target => $cfssl::params::go_targetlink,
  }
  -> exec { 'install goose':
    command     => '/usr/local/bin/go install bitbucket.org/liamstask/goose/cmd/goose@latest',
    creates     => "/home/${cfssl::sysuser}/go/bin/goose",
    user        => $cfssl::sysuser,
    environment => ["HOME=/home/${cfssl::sysuser}"],
    cwd         => '/tmp',
    require     => User[$cfssl::sysuser],
  }
}
