# @summary A short summary of the purpose of this class
#
# A description of what this class does
#
# @example
#   include cfssl::params
class cfssl::params {
  $binaries = ['cfssljson','cfssl-certinfo']
  $serve_config_json = 'serve-config.json'
  $db_config_json = 'db-config.json'
  $systemd_unitdir = '/etc/systemd/system'
  $systemd_unit_file = "${systemd_unitdir}/cfssl.service"

  case $facts['os']['release']['major'] {
    '20.04':  {
      $go_package = 'golang-1.16-go'
      $go_targetlink = '/usr/lib/go-1.16/bin/go'
    }
    '22.04':  {
      $go_package = 'golang-1.17-go'
      $go_targetlink = '/usr/lib/go-1.17/bin/go'
    }
    default:  {
      fail("${module_name} does not support OS ${facts['os']['name']}-${facts['os']['release']['major']}")
    }
  }
}
